Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001166TestLinkDatabase MS-SQLpublic2007-11-07 06:042008-11-07 19:46
Reportermikebuck 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.1 
Fixed in Version1.8 Beta 1 
Summary0001166: SQL DB does not connect.
DescriptionGet very fluky error when running the installer.

Creating connection to Database Server:
Fatal error: Call to undefined function mssql_get_last_message() in C:\wamp\www\tldemo2\third_party\adodb\drivers\adodb-mssql.inc.php on line 481

DB is remote from the box running TL. Runs fine locally with MySQL, but would like to run on MSSQL.

Any help is appreciated.

Mike Buckley
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-1166.zip [^] (19,930 bytes) 2007-11-07 19:32

- Relationships

-  Notes
(0002587)
fman (administrator)
2007-11-07 17:07

Silly question:
do you have enable on your php.ini, extensions to connect to MSSQL?
Please check and give feedback
(0002589)
fman (administrator)
2007-11-07 19:33

Please download zip file, and copy files on install dir overwritting existing ones.
This must check for db loaded extensions and give you some feedback message
Please let me know if this works


regards
(0002592)
mikebuck (reporter)
2007-11-07 23:10

Thanks for your help.

mssql was not enabled. That did the trick. Will give you feedback on the MSSQL or if any issues,

Thanks for your quick reply to the problem, and the excellent troubleshooting scripts!!!

mike buckley
(0002594)
fman (administrator)
2007-11-07 23:19

Commited to both branch and head

- Issue History
Date Modified Username Field Change
2007-11-07 06:04 mikebuck New Issue
2007-11-07 17:07 fman Note Added: 0002587
2007-11-07 17:07 fman Assigned To => fman
2007-11-07 17:07 fman Status new => feedback
2007-11-07 19:32 fman File Added: fix-1166.zip
2007-11-07 19:33 fman Note Added: 0002589
2007-11-07 23:10 mikebuck Note Added: 0002592
2007-11-07 23:19 fman Status feedback => resolved
2007-11-07 23:19 fman Fixed in Version => next development version (1.8 Beta1)
2007-11-07 23:19 fman Resolution open => fixed
2007-11-07 23:19 fman Note Added: 0002594
2008-06-03 16:49 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:46 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker